<meta charset="utf-8">
<meta content="width=device-width, initial-scale=1.0" name="viewport">
<title><?php echo $title; ?></title>
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1.0, minimum-scale=1.0, maximum-scale=5, user-scalable=yes">
<meta name="author" content="Mechbunny.com">
<meta name="description" content="<?php echo $metadescription; ?>">
<meta name="keywords" content="<?php echo $metakeywords; ?>">
<meta name="robots" content="<?php echo $metarobots; ?>">
<link rel="preconnect" href="https://fonts.googleapis.com">
<link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
<link rel="preconnect" href="https://cdnjs.cloudflare.com" crossorigin>
<link href="<? echo $template_url; ?>/images/favicon.png" rel="icon">
<script>
    var domainName = '<?php echo $urlArray['host'] ?>';
    var _basehttp = '<?php echo $basehttp; ?>', _templateUrl = '<?php echo $template_url; ?>', settings = {};
</script>

<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.3/jquery.min.js" integrity="sha512-STof4xm1wgkfm7heWqFJVn58Hm3EtS31XFaagaa8VMReCXAkQnJZ+jEy8PCC/iT18dFy95WcExNHFTqLyp72eQ==" crossorigin="anonymous" referrerpolicy="no-referrer"></script>
<script async defer src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap/5.1.3/js/bootstrap.min.js"></script>
<script async defer src="<? echo $template_url; ?>/js/main.js?v=1.5"></script>

<? if(isset($_GET['controller']) && $_GET['controller'] == 'performer') { ?><script src="<? echo $template_url; ?>/js/comments.js"></script><? } ?>
<? if(isset($ageWarning) && $ageWarning == true) { ?><script src="<?php echo $basehttp; ?>/core/js/ageWarningJs.php"></script><? } ?>
<? if(isset($gdprWarning) && $gdprWarning == true) { ?><script src="<?php echo $basehttp; ?>/core/js/gdprJs.php"></script><? } ?>


<link media="screen" rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap/5.1.3/css/bootstrap.min.css" integrity="sha512-GQGU0fMMi238uA+a/bdWJfpUGKUkBdgfFdgBm72SUQ6BeyWjoY/ton0tEjH+OSH9iP4Dfh+7HM0I9f5eR0L/4w==" crossorigin="anonymous" referrerpolicy="no-referrer" />

<link media="screen" href="<? echo $template_url; ?>/css/style.css" rel="stylesheet">
<? if(isset($_GET['controller']) && $_GET['controller'] == 'performer') { ?><link href="<? echo $template_url; ?>/css/comments.css" rel="stylesheet"><? } ?>
<link media="screen"  href="<? echo $template_url; ?>/css/overwrite.css?1" rel="stylesheet">
<?php if($template_colors_enabled) { ?>
<link media="screen"  href="<? echo $basehttp; ?>/core/colorScheme_v2.php?tpf=<?php echo substr($template_primary_foreground,1,6); ?>&tsf=<?php echo substr($template_secondary_foreground,1,6); ?>&ttf=<?php echo substr($template_tertiary_foreground,1,6); ?>&tpb=<?php echo substr($template_primary_background,1,6); ?>&tsb=<?php echo substr($template_secondary_background,1,6); ?>&ttb=<?php echo substr($template_tertiary_background,1,6); ?>&tpt=<?php echo substr($template_primary_text_color,1,6); ?>&tst=<?php echo substr($template_secondary_text_color,1,6); ?>&ttt=<?php echo substr($template_tertiary_text_color,1,6); ?>" rel="stylesheet">
<? } ?>
<?php if(isset($googleAnalytics)) { 
	echo $googleAnalytics; 
} ?>